<?xml version="1.0" encoding="UTF-8"?>
<project default="interface_consumer" name="uml.to.vmj">
    <property name="ECLIPSE_HOME" value="../../../eclipse"/>
    <property name="ECLIPSE_WORKSPACE" value="C:/Users/user/eclipse-2020-workspace"/>

    <!-- The classpath with only the dependencies used by the project -->
    <path id="uml.to.vmj.libraryclasspath">
        <pathelement location="${ECLIPSE_WORKSPACE}/uml.to.vmj/bin"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.runtime_3.19.0.v20200724-1004.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi_3.16.0.v20200828-0759.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi.compatibility.state_1.2.100.v20200811-1344.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.common_3.13.0.v20200828-1034.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.jobs_3.10.800.v20200421-0950.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.registry_3.9.0.v20200625-1425.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.preferences_3.8.0.v20200422-1833.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.contenttype_3.7.800.v20200724-0804.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.app_1.5.0.v20200717-0620.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.uml_5.5.0.v20200302-1312.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore_2.23.0.v20200630-0516.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.common_2.20.0.v20200822-0801.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore.xmi_2.16.0.v20190528-0725.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.common_2.5.0.v20200302-1312.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.types_2.5.0.v20200302-1312.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.mapping.ecore2xml_2.11.0.v20180706-1146.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.uml.resources_5.5.0.v20200302-1312.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.uml.profile.standard_1.5.0.v20200302-1312.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl_3.15.0.v20200608-1555.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/lpg.runtime.java_2.0.17.v201004271640.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.common_1.8.400.v20200608-1555.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.ecore_3.15.0.v20200608-1555.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.common_3.7.10.202002210922.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.model_3.7.10.202002210922.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.profiler_3.7.10.202002210922.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.engine_3.7.10.202002210922.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen.ecore_2.23.0.v20200701-0840.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen_2.21.0.v20200708-0547.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/com.google.guava_27.1.0.v20190517-1946.jar"/>
    </path>

    <path id="uml.to.vmj.classpath">
        <path refid="uml.to.vmj.libraryclasspath"/>
    </path>

    <!-- The classpath with only the jars available in the plugin folder of Eclipse -->
    <path id="uml.to.vmj.libraryclasspath.alljars">
        <pathelement location="../uml.to.vmj/bin"/>
        <fileset dir="${ECLIPSE_HOME}/plugins/" includes="*.jar"/>
    </path>

    <path id="uml.to.vmj.classpath.alljars">
        <path refid="uml.to.vmj.libraryclasspath.alljars"/>
    </path>

    <!-- The default task with the jars used by this project -->
    <target name="interface_consumer">
        <java classname="uml.to.vmj.interfaceconsumer.Interface_consumer" classpathref="uml.to.vmj.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>

    <!--
        In case of problem you can also try with all the jar available in your Eclipse
        Keep in mind that having two versions of the same jar can create problems
    -->
    <target name="interface_consumer.alljars">
        <java classname="uml.to.vmj.interfaceconsumer.Interface_consumer" classpathref="uml.to.vmj.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>
</project>
